Page MenuHomePhabricator

Move labsdb1008 to production, rename it back to db1095, use it as a temporary sanitarium
Closed, ResolvedPublic

Description

When we had issues with labsdb1002, I asked @Cmjohnson to install one of the latest new db1XXXX as labsdb1008 to help with the load.

Now that we have labsdb1009/10/11 close to be installed, it is not needed anymore on labs-support. However, an extra db1XXX would now be now very useful as a temporary sanitarium alternative.

When @chasemp gives the ok (he is the current main user of labsdb1008 and probably still has data on it he wants to keep), starting from anytime next week, I would like to move labsdb1008 from labs-support to production. Any rack will work except D1. It is 1U, so I hope it could fit anywhere.

reinstallation checklist

  • - mgmt dns update
  • - production dns update
  • - install_module update
  • - physical label update (sub-task created for async implementation)
  • - reinstall OS
  • - sign puppet/salt
  • - service implementation handoff

Details

Related Gerrit Patches:
operations/puppet : productionmariadb-labs: Prepare db1095 to be the new sanitarium host
operations/puppet : productionlabsdb1008 retasked as db1095
operations/dns : masterupdating db1095 dns entries
operations/dns : masterfix typo labdsb1008.mgmt -> labsdb1008.mgmt

Event Timeline

jcrespo created this task.Nov 2 2016, 6:52 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 2 2016, 6:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Southparkfan. · View Herald TranscriptNov 2 2016, 6:53 PM

Change 319396 had a related patch set uploaded (by Dzahn):
fix typo labdsb1008.mgmt -> labsdb1008.mgmt

https://gerrit.wikimedia.org/r/319396

Change 319396 merged by Dzahn:
fix typo labdsb1008.mgmt -> labsdb1008.mgmt

https://gerrit.wikimedia.org/r/319396

Ok with me :)

Krenair added a subscriber: Krenair.Nov 2 2016, 9:13 PM
mark added a subscriber: mark.Nov 9 2016, 2:01 PM

labsdb1008 is in rack C3 right now. We can simply move it to vlan private1-c-eqiad and reinstall it.

jcrespo added a comment.EditedNov 10 2016, 10:01 AM

Mark changed the vlan already. I need @Cmjohnson to assign it an ip and do the initial setup (dns, relabel pysically to db1095) so I can perform the re-installation.

Change 320752 had a related patch set uploaded (by Jcrespo):
mariadb-labs: Prepare db1095 to be the new sanitarium host

https://gerrit.wikimedia.org/r/320752

Change 321711 had a related patch set uploaded (by RobH):
updating db1095 dns entries

https://gerrit.wikimedia.org/r/321711

Change 321711 merged by RobH:
updating db1095 dns entries

https://gerrit.wikimedia.org/r/321711

Change 321715 had a related patch set uploaded (by RobH):
labsdb1008 retasked as db1095

https://gerrit.wikimedia.org/r/321715

RobH updated the task description. (Show Details)Nov 15 2016, 7:47 PM

Change 321715 merged by RobH:
labsdb1008 retasked as db1095

https://gerrit.wikimedia.org/r/321715

Change 320752 merged by Jcrespo:
mariadb-labs: Prepare db1095 to be the new sanitarium host

https://gerrit.wikimedia.org/r/320752

jcrespo closed this task as Resolved.Nov 15 2016, 9:00 PM
jcrespo claimed this task.
jcrespo updated the task description. (Show Details)

This is done, only pending tasks are T150793.